/*
 * VIA VT86C100A Rhine-II and VIA VT3043 Rhine Based Card Add-on
 * for the BeOS Release 5
 */

#ifndef _ETHER_DRIVER_H
#define _ETHER_DRIVER_H

#include <Drivers.h>

/*
 * ioctls: belongs in a public header file
 * somewhere, so that the net_server and other ethernet drivers can use.
 */
enum {
	ETHER_GETADDR = B_DEVICE_OP_CODES_END,	/* get ethernet address */
	ETHER_INIT,								/* set irq and port */
	ETHER_NONBLOCK,							/* set/unset nonblocking mode */
	ETHER_ADDMULTI,							/* add multicast addr */
	ETHER_REMMULTI,							/* rem multicast addr */
	ETHER_SETPROMISC,						/* set promiscuous */
	ETHER_GETFRAMESIZE						/* get frame size */
};

#endif /* _ETHER_DRIVER_H */
